<!DOCTYPE html>
<html>
<head>
    <title>Scorecard</title>
</head>
<body>
    <h1>Scorecard</h1>

    <h2>{{ team1_name }}: <span id="team1_runs">{{ team1_runs }}</span>/<span id="team1_wickets">{{ team1_wickets }}</span> (Overs: <span id="team1_overs">{{ team1_overs }}</span>.<span id="team1_balls">{{ team1_balls }}</span>)</h2>
    <button onclick="increaseRuns('team1_runs', 'team1_wickets', 'team1_overs', 'team1_balls', 1)">1</button>
    <button onclick="increaseRuns('team1_runs', 'team1_wickets', 'team1_overs', 'team1_balls', 2)">2</button>
    <button onclick="increaseRuns('team1_runs', 'team1_wickets', 'team1_overs', 'team1_balls', 4)">4</button>
    <button onclick="increaseRuns('team1_runs', 'team1_wickets', 'team1_overs', 'team1_balls', 6)">6</button>
    <button onclick="increaseWickets('team1_wickets', 'team1_overs', 'team1_balls')">Wicket</button>

    <h2>{{ team2_name }}: <span id="team2_runs">{{ team2_runs }}</span>/<span id="team2_wickets">{{ team2_wickets }}</span> (Overs: <span id="team2_overs">{{ team2_overs }}</span>.<span id="team2_balls">{{ team2_balls }}</span>)</h2>
    <button onclick="increaseRuns('team2_runs', 'team2_wickets', 'team2_overs', 'team2_balls', 1)">1</button>
    <button onclick="increaseRuns('team2_runs', 'team2_wickets', 'team2_overs', 'team2_balls', 2)">2</button>
    <button onclick="increaseRuns('team2_runs', 'team2_wickets', 'team2_overs', 'team2_balls', 4)">4</button>
    <button onclick="increaseRuns('team2_runs', 'team2_wickets', 'team2_overs', 'team2_balls', 6)">6</button>
    <button onclick="increaseWickets('team2_wickets', 'team2_overs', 'team2_balls')">Wicket</button>


    <button onclick="resetScorecard()">Reset</button>

    <script>
        function increaseRuns(runsElementId, wicketsElementId, oversElementId, ballsElementId, runs) {
            var runsElement = document.getElementById(runsElementId);
            var runsValue = parseInt(runsElement.innerHTML);
            runsValue += runs;
            runsElement.innerHTML = runsValue;

            var wicketsElement = document.getElementById(wicketsElementId);
            var wicketsValue = parseInt(wicketsElement.innerHTML);
            var oversElement = document.getElementById(oversElementId);
            var ballsElement = document.getElementById(ballsElementId);
            var ballsValue = parseInt(ballsElement.innerHTML);

            if (ballsValue === 5) {
                var oversValue = parseInt(oversElement.innerHTML);
                oversValue += 1;
                oversElement.innerHTML = oversValue;
                ballsElement.innerHTML = 0;
            } else {
                ballsValue += 1;
                ballsElement.innerHTML = ballsValue;
            }

            if (runs === 0) {
                increaseWickets(wicketsElementId, oversElementId, ballsElementId);
            }
        }

        function increaseWickets(wicketsElementId, oversElementId, ballsElementId) {
            var wicketsElement = document.getElementById(wicketsElementId);
            var wicketsValue = parseInt(wicketsElement.innerHTML);
            wicketsValue += 1;
            wicketsElement.innerHTML = wicketsValue;

            var oversElement = document.getElementById(oversElementId);
            var ballsElement = document.getElementById(ballsElementId);
            var ballsValue = parseInt(ballsElement.innerHTML);

            if (ballsValue === 5) {
                var oversValue = parseInt(oversElement.innerHTML);
                oversValue += 1;
                oversElement.innerHTML = oversValue;
                ballsElement.innerHTML = 0;
            } else {
                ballsValue += 1;
                ballsElement.innerHTML = ballsValue;
            }
        }

        function resetScorecard() {
            document.getElementById('team1_runs').innerHTML = '0';
            document.getElementById('team1_wickets').innerHTML = '0';
            document.getElementById('team1_overs').innerHTML = '0';
            document.getElementById('team1_balls').innerHTML = '0';

            document.getElementById('team2_runs').innerHTML = '0';
            document.getElementById('team2_wickets').innerHTML = '0';
            document.getElementById('team2_overs').innerHTML = '0';
            document.getElementById('team2_balls').innerHTML = '0';
        }
    </script>
</body>
</html>